routes_cards:
  label: Cards
  namespace: Organisms/TM - Routes
  use: '@organisms/tm-routes/cards/routes-cards.html.twig'
  description: Cards
  libraries:
    - routes_cards_lib:
        js:
          ../behaviors/routes-cards.js: {}
        css:
          component:
            ../styles/routes-cards.css: {}

  fields:
    routes_data:
      type: object
      label: Route data
      description: Route data
      preview:
        - title: Birmingham to Milton Keynes Central
          url: /train-times/birmingham-to-milton-keynes-central
          fare: "6.80"
          time: 1h 12m
          crs_origin: '13'
          crs_destination: 'MKC'
        - title: Liverpool to Milton Keynes Central
          url: /train-times/liverpool-to-milton-keynes-central
          fare: "11.50"
          time: 2h 36m
          crs_origin: '13'
          crs_destination: 'MKC'
        - title: Northampton to Milton Keynes Central
          url: /train-times/northampton-to-milton-keynes-central
          fare: "12.60"
          time: 14m
          crs_origin: '13'
          crs_destination: 'MKC'
        - title: Birmingham to Milton Keynes Central
          url: /train-times/birmingham-to-milton-keynes-central
          fare: "6.80"
          time: 1h 12m
          crs_origin: '13'
          crs_destination: 'MKC'
        - title: Liverpool to Milton Keynes Central
          url: /train-times/liverpool-to-milton-keynes-central
          fare: "11.50"
          time: 2h 36m
          crs_origin: '13'
          crs_destination: 'MKC'
        - title: Northampton to Milton Keynes Central
          url: /train-times/northampton-to-milton-keynes-central
          fare: "12.60"
          time: 14m
          crs_origin: '13'
          crs_destination: 'MKC'
        - title: Liverpool to Milton Keynes Central
          url: /train-times/liverpool-to-milton-keynes-central
          fare: "11.50"
          time: 2h 36m
          crs_origin: '13'
          crs_destination: 'MKC'
        - title: Northampton to Milton Keynes Central
          url: /train-times/northampton-to-milton-keynes-central
          fare: "12.60"
          time: 14m
          crs_origin: '13'
          crs_destination: 'MKC'

  settings:
    columns_desktop:
      type: select
      label: Columns on desktop
      default_value: 3
      preview: 3
      options:
        2: 2
        3: 3
